from django.conf import settings
from django.contrib import admin
from django.utils.translation import ugettext_lazy as _


from models import MeyzieuNewslettersPlugin


admin.site.register(MeyzieuNewslettersPlugin)


import models
import forms

from django.contrib.auth.admin import UserAdmin
class MeyzieuUserAdmin(UserAdmin):
    ordering = ('email',)
    list_display = ('email', 'first_name', 'last_name', 'is_staff', 'is_active')
    search_fields = ('email', 'first_name', 'last_name')
    non_superuser_fieldsets = (
        (None, {'fields': ('email', 'password')}),
        (_('Personal info'), {'fields': ('first_name', 'last_name',
            'address', 'city', 'postal_code', 'phone',
            'mobile', 'fax')}),
        (_('Permissions'), {'fields': ('is_active',
                                       'groups', 'user_permissions')}),
        (_('Important dates'), {'fields': ('last_login', 'date_joined')}),
    )
    fieldsets = (
        (None, {'fields': ('email', 'password')}),
        (_('Personal info'), {'fields': ('first_name', 'last_name',
            'address', 'city', 'postal_code', 'phone',
            'mobile', 'fax')}),
        (_('Permissions'), {'fields': ('is_active', 'is_superuser',
                                       'groups', 'user_permissions')}),
        (_('Important dates'), {'fields': ('last_login', 'date_joined')}),
    )
    form = forms.UserChangeForm
    add_form = forms.UserCreationForm
    add_fieldsets = (
            (None, {
                'classes': ('wide',),
                'fields': ('email', 'password1', 'password2', 'first_name', 'last_name')}
            ),
        )
    def get_fieldsets(self, request, obj=None):
        if not obj:
            return self.add_fieldsets
        if not request.user.is_superuser:
            return self.non_superuser_fieldsets
        return self.fieldsets

admin.site.register(models.User, MeyzieuUserAdmin)
