
import lasso

from django.db.models import Q
from django.contrib.auth import get_user_model
from django.contrib.auth.backends import ModelBackend

class MeyzieuModelBackend(ModelBackend):

    def authenticate(self, username=None, password=None):
        """ Trying to authenticate user with email or old_username
        """
        UserModel = get_user_model()
        users = UserModel._default_manager.filter(
                Q(email=username.lower()) | Q(old_username=username)
                )
        for user in users:
            if user.check_password(password):
                return user 

    def get_saml2_authn_context(self):
        """
        Authentic2 want this fucking method if the backend is not :
         * django.contrib.auth.backends.ModelBackend
         * authentic2.backends.models_backend.ModelBackend
         * django_auth_ldap.backend.LDAPBackend
        """
        return lasso.SAML2_AUTHN_CONTEXT_PASSWORD

