from cms.plugin_base import CMSPluginBase
from models import MeyzieuNewslettersPlugin as MeyzieuNewslettersPluginModel


from django.utils.translation import ugettext_lazy as _
from django.conf import settings
from django.contrib import messages


from cms.plugin_pool import plugin_pool


import forms


class MeyzieuNewslettersPlugin(CMSPluginBase):
    model = MeyzieuNewslettersPluginModel
    name = _('Meyzieu Newsletters Plugin')
    render_template = "compte_meyzieu/meyzieu_newsletters_plugin.html"
    text_enabled = True

    def render(self, context, instance, placeholder):
        request = context['request']
        context['submit'] = submit = 'submit-meyzieu-newsletters-%s' % instance.id
        if request.method == 'POST' and submit in request.POST:
            form  = forms.MeyzieuNewslettersForm(request=request,
                    instance=instance, data=request.POST)
            if form.is_valid():
                form.save()
                context['saved'] = _('Your subscriptions were saved.')
        else:
            form  = forms.MeyzieuNewslettersForm(request=request,
                    instance=instance)
        context['form'] = form
        return context


    def icon_src(self, instance):
        return settings.STATIC_URL + u"compte_meyzieu/meyzieu_newsletters_plugin.png"


plugin_pool.register_plugin(MeyzieuNewslettersPlugin)
